%global npm_name hawk
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 7.0.10
%define subrel 1
Release: %mkrel 4
Summary: HTTP Hawk Authentication Scheme
License: BSD
Group: Development/Other
URL: https://github.com/hueniverse/hawk#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
Patch0: CVE-2022-29167.patch
BuildRequires: nodejs-packaging
Requires: npm(boom)
Requires: npm(cryptiles)
Requires: npm(hoek)
Requires: npm(sntp)
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package
%autopatch -p1

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr client.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Mon Mar 18 2024 ns80 <ns80> 7.0.10-4.1.mga9
+ Revision: 2050453
- port patch from Debian for CVE-2022-29167 (mga#31313)

* Tue Mar 22 2022 umeabot <umeabot> 7.0.10-4.mga9
+ Revision: 1820135
- Mageia 9 Mass Rebuild

* Fri Jun 12 2020 joequant <joequant> 7.0.10-3.mga8
+ Revision: 1592866
- redo deps

* Fri Feb 14 2020 umeabot <umeabot> 7.0.10-2.mga8
+ Revision: 1521065
- Mageia 8 Mass Rebuild

* Sun Dec 16 2018 kekepower <kekepower> 7.0.10-1.mga7
+ Revision: 1341640
- Update to version 7.0.10

* Thu Sep 20 2018 umeabot <umeabot> 7.0.7-3.mga7
+ Revision: 1280504
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 7.0.7-2.mga7
+ Revision: 1227324
- Fix nodejs dependencies

* Wed May 02 2018 kekepower <kekepower> 7.0.7-1.mga7
+ Revision: 1224775
- imported package nodejs-hawk

